Package org.eclipse.birt.report.model.api

# Class ColumnHintHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.ColumnHintHandle

public class ColumnHintHandle extends StructureHandle
Represents the handle of column hint. The column hint provides the hint about result set columns.

Column Name
  a column hint has a required name. It keys the column hint to a column within the result set.
Alias
  a column hint has an optional alias. It provides an 'alias' name used for the column within the report.
Searching
  a column hint has an optional searching. It indicates how the column will be used when searching.
Export
  a column hint has an optional export. It determines how the column will be used when exporting data.
Analysis
  a column hint has an optional analysis. It determines how the column is used when exporting the data to an OLAP cube.
Parent Level
  a column hint has an optional parent level. It is used when a column's `ANALYSIS_MEMBER` property is set to `ANALYSIS_TYPE_DIMENSION` or `ANALYSIS_TYPE_DETAIL`. For `ANALYSIS_TYPE_DIMENSION`, this property establishes the dimension hierarchy.
Format
  a column hint has an optional format. It is used to format the column data when displaying the value in the viewing UI, especially within the search results.
Display Name
  a column hint has an optional display name. It provides the an optional localizable display name for the column.
Display Name ID
  a column hint has an optional display name ID. It provides the key to localize the display name.
Help Text
  a column hint has an optional help text. It provides optional localizable descriptive text that explains the column to the end user.
Help Text ID
  a column hint has an optional help text ID. It provides the key to localize the help text.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`ColumnHintHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of computed column.

## Method Summary

Modifier and Type
Method
Description
`ExpressionHandle`
`getACLExpression()`
Gets the expression handle for the `ACLExpression` member.
`ActionHandle`
`getActionHandle()`
Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`String`
`getAlias()`
Returns the alias name of this column.
`String`
`getAnalysis()`
Returns the analysis option.
`String`
`getAnalysisColumn()`
Gets the analysis column.
`String`
`getColumnName()`
Returns the column name.
`String`
`getDescription()`
Deprecated.
`String`
`getDescriptionKey()`
Deprecated.
`int`
`getDisplayLength()`
Deprecated.
`String`
`getDisplayName()`
Returns the display name.
`String`
`getDisplayNameKey()`
Returns the resource key for display name.
`String`
`getExport()`
Returns the export option.
`String`
`getFormat()`
Deprecated.
`String`
`getHeading()`
Gets the heading of the column.
`String`
`getHeadingKey()`
Gets the resource key of the heading of the column.
`String`
`getHelpText()`
Returns the help text.
`String`
`getHelpTextKey()`
Returns the resource key for help text.
`String`
`getHorizontalAlign()`
Gets the horizontal alignment of the column.
`String`
`getParentLevel()`
Returns the parent level.
`String`
`getSearching()`
Returns the searching option.
`String`
`getTextFormat()`
Deprecated.
`FormatValue`
`getValueFormat()`
Gets the value format of the column.
`boolean`
`isCompressed()`
Gets the flag which indicates whether the column needs to be compressed.
`boolean`
`isIndexColumn()`
Gets the flag which indicates whether the column should be generated with index.
`boolean`
`isOnColumnLayout()`
Gets the hint if the dimension data element should be layout on column.
`ActionHandle`
`setAction(Action action)`
Set an action on the image.
`void`
`setAlias(String alias)`
Sets the alias name of this column.
`void`
`setAnalysis(String analysis)`
Sets the analysis option.
`void`
`setAnalysisColumn(String column)`
Sets the analysis column.
`void`
`setColumnName(String columnName)`
Sets the column name.
`void`
`setCompresssed(boolean compressed)`
Sets the flag which indicates whether the column needs to be compressed.
`void`
`setDescription(String description)`
Deprecated.
`void`
`setDescriptionKey(String descriptionID)`
Deprecated.
`void`
`setDisplayLength(int displayLength)`
Deprecated.
`void`
`setDisplayName(String displayName)`
Sets the display name.
`void`
`setDisplayNameKey(String displayNameResourceKey)`
Sets the resource key for display name.
`void`
`setExport(String export)`
Sets the export option.
`void`
`setFormat(String format)`
Deprecated.
`void`
`setHeading(String heading)`
Sets the heading of the column.
`void`
`setHeadingKey(String headingID)`
Sets the resource key of the heading of the column.
`void`
`setHelpText(String helpText)`
Sets the help text.
`void`
`setHelpTextKey(String helpTextResourceKey)`
Sets the resource key for help text.
`void`
`setHorizontalAlign(String align)`
Sets the horizontal alignment of the column.
`void`
`setIndexColumn(boolean indexColumn)`
Sets the flag which indicates whether the column should be generated with index.
`void`
`setOnColumnLayout(boolean onColumnLayout)`
Sets the hint if the dimension data element should be layout on column.
`void`
`setParentLevel(String parentLevel)`
Sets the parent level.
`void`
`setSearching(String searching)`
Sets the searching option.
`void`
`setTextFormat(String format)`
Deprecated.
`void`
`setValueFormat(FormatValue format)`
Sets the value format of the column.
`void`
`setWordWrap(boolean wordWrap)`
Deprecated.
`boolean`
`wordWrap()`
Deprecated.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColumnHintHandle

public ColumnHintHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of computed column.

Parameters:
  `valueHandle` - the value handle for computed column list of one property
  `index` - the position of this computed column in the list

## Method Details

### getAlias

public String getAlias()
Returns the alias name of this column.

Returns:
  the alias name of this column

### setAlias

public void setAlias(String alias)
Sets the alias name of this column.

Parameters:
  `alias` - the alias name to set

### getAnalysis

public String getAnalysis()
Returns the analysis option. The possible values are defined in `DesignChoiceConstants`, and they are

- ANALYSIS_TYPE_DIMENSION
- ANALYSIS_TYPE_ATTRIBUTE
- ANALYSIS_TYPE_MEASURE

Returns:
  the analysis option

### setAnalysis

public void setAnalysis(String analysis) throws SemanticException
Sets the analysis option. The allowed values are defined in `DesignChoiceConstants`, and they are

- ANALYSIS_TYPE_DIMENSION
- ANALYSIS_TYPE_ATTRIBUTE
- ANALYSIS_TYPE_MEASURE

Parameters:
  `analysis` - the analysis option to set
Throws:
  `SemanticException` - if the analysis is not in the choice list.

### getColumnName

public String getColumnName()
Returns the column name.

Returns:
  the column name

### setColumnName

public void setColumnName(String columnName) throws SemanticException
Sets the column name.

Parameters:
  `columnName` - the column name to set
Throws:
  `SemanticException` - value required exception.

### getDisplayName

public String getDisplayName()
Returns the display name.

Returns:
  the display name

### setDisplayName

public void setDisplayName(String displayName)
Sets the display name.

Parameters:
  `displayName` - the display name to set

### getDisplayNameKey

public String getDisplayNameKey()
Returns the resource key for display name.

Returns:
  the resource key for display name

### setDisplayNameKey

public void setDisplayNameKey(String displayNameResourceKey)
Sets the resource key for display name.

Parameters:
  `displayNameResourceKey` - the resource key to set

### getExport

public String getExport()
Returns the export option. The possible values are defined in `DesignChoiceConstants`, and they are

- EXPORT_TYPE_NONE
- EXPORT_TYPE_IF_REALIZED
- EXPORT_TYPE_ALWAYS

Returns:
  the export option

### setExport

public void setExport(String export) throws SemanticException
Sets the export option. The allowed values are defined in `DesignChoiceConstants`, and they are

- EXPORT_TYPE_NONE
- EXPORT_TYPE_IF_REALIZED
- EXPORT_TYPE_ALWAYS

Parameters:
  `export` - the export option to set
Throws:
  `SemanticException` - if the export is not in the choice list.

### getFormat

@Deprecated public String getFormat()
Deprecated.
Returns the format option.

Returns:
  the format option

### setFormat

@Deprecated public void setFormat(String format)
Deprecated.
Sets the format option.

Parameters:
  `format` - the format option to set

### getHelpText

public String getHelpText()
Returns the help text.

Returns:
  the help text.

### setHelpText

public void setHelpText(String helpText)
Sets the help text.

Parameters:
  `helpText` - the help text to set

### getHelpTextKey

public String getHelpTextKey()
Returns the resource key for help text.

Returns:
  the resource key for help text

### setHelpTextKey

public void setHelpTextKey(String helpTextResourceKey)
Sets the resource key for help text.

Parameters:
  `helpTextResourceKey` - the resource key to set

### getParentLevel

public String getParentLevel()
Returns the parent level.

Returns:
  the parent level

### setParentLevel

public void setParentLevel(String parentLevel)
Sets the parent level.

Parameters:
  `parentLevel` - the parent level to set

### getSearching

public String getSearching()
Returns the searching option. The possible values are defined in `DesignChoiceConstants`, and they are

- SEARCH_TYPE_ANY
- SEARCH_TYPE_INDEXED
- SEARCH_TYPE_NONE

Returns:
  the searching option

### setSearching

public void setSearching(String searching) throws SemanticException
Sets the searching option. The allowed values are defined in `DesignChoiceConstants`, and they are

- SEARCH_TYPE_ANY
- SEARCH_TYPE_INDEXED
- SEARCH_TYPE_NONE

Parameters:
  `searching` - the searching option to set
Throws:
  `SemanticException` - if the searching is not in the choice list.

### isOnColumnLayout

public boolean isOnColumnLayout()
Gets the hint if the dimension data element should be layout on column.

Returns:
  true if the dimension data element should be layout on column, or false the dimension data element should be layout on row.

### setOnColumnLayout

public void setOnColumnLayout(boolean onColumnLayout) throws SemanticException
Sets the hint if the dimension data element should be layout on column.

Parameters:
  `onColumnLayout` - the hint if the dimension data element should be layout on column.
Throws:
  `SemanticException`

### getHeading

public String getHeading()
Gets the heading of the column.

Returns:
  the heading

### setHeading

public void setHeading(String heading)
Sets the heading of the column.

Parameters:
  `heading` - the new heading

### getHeadingKey

public String getHeadingKey()
Gets the resource key of the heading of the column.

Returns:
  the resource key of the heading

### setHeadingKey

public void setHeadingKey(String headingID)
Sets the resource key of the heading of the column.

Parameters:
  `headingID` - the new resource key of the heading

### getDisplayLength

@Deprecated public int getDisplayLength()
Deprecated.
Gets the display length of the column.

Returns:
  the display length

### setDisplayLength

@Deprecated public void setDisplayLength(int displayLength)
Deprecated.
Sets the display length of the column.

Parameters:
  `displayLength` - the new display length

### getHorizontalAlign

public String getHorizontalAlign()
Gets the horizontal alignment of the column. The returned value may be one of the constants defined in `DesignChoiceConstants`:

- `TEXT_ALIGN_LEFT`
- `TEXT_ALIGN_RIGHT`
- `TEXT_ALIGN_CENTER`
- `TEXT_ALIGN_JUSTIFY`

Returns:
  the horizontal alignment

### setHorizontalAlign

public void setHorizontalAlign(String align) throws SemanticException
Sets the horizontal alignment of the column. The value should be one of the constants defined in `DesignChoiceConstants`:

- `TEXT_ALIGN_LEFT`
- `TEXT_ALIGN_RIGHT`
- `TEXT_ALIGN_CENTER`
- `TEXT_ALIGN_JUSTIFY`

Parameters:
  `align` - the new horizontal alignment
Throws:
  `SemanticException` - if the align is not defined.

### wordWrap

@Deprecated public boolean wordWrap()
Deprecated.
Gets the hint if the word needs to wrap.

Returns:
  true if the word needs to wrap, otherwise false.

### setWordWrap

@Deprecated public void setWordWrap(boolean wordWrap)
Deprecated.
Sets the hint if the word needs to wrap.

Parameters:
  `wordWrap` - the hint value indicates if the word needs to wrap.

### getTextFormat

@Deprecated public String getTextFormat()
Deprecated.
Gets the text format of the column. The returned value may be one of the constants defined in `DesignChoiceConstants`:

- `STRING_FORMAT_TYPE_UNFORMATTED`
- `STRING_FORMAT_TYPE_UPPERCASE`
- `STRING_FORMAT_TYPE_LOWERCASE`
- `STRING_FORMAT_TYPE_CUSTOM`
- `STRING_FORMAT_TYPE_ZIP_CODE`
- `STRING_FORMAT_TYPE_ZIP_CODE_4`
- `STRING_FORMAT_TYPE_PHONE_NUMBER`
- `STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`

Returns:
  the text format of the column

### setTextFormat

@Deprecated public void setTextFormat(String format) throws SemanticException
Deprecated.
Sets the text format of the column. The value should be one of the constants defined in `DesignChoiceConstants`:

- `STRING_FORMAT_TYPE_UNFORMATTED`
- `STRING_FORMAT_TYPE_UPPERCASE`
- `STRING_FORMAT_TYPE_LOWERCASE`
- `STRING_FORMAT_TYPE_CUSTOM`
- `STRING_FORMAT_TYPE_ZIP_CODE`
- `STRING_FORMAT_TYPE_ZIP_CODE_4`
- `STRING_FORMAT_TYPE_PHONE_NUMBER`
- `STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`

Parameters:
  `format` - the new text format
Throws:
  `SemanticException` - if the format is not defined.

### getDescription

@Deprecated public String getDescription()
Deprecated.
Gets the description of the column.

Returns:
  the description

### setDescription

@Deprecated public void setDescription(String description)
Deprecated.
Sets the description of the column.

Parameters:
  `description` - the new description

### getDescriptionKey

@Deprecated public String getDescriptionKey()
Deprecated.
Gets the resource key of the description of the column.

Returns:
  the resource key of the description

### setDescriptionKey

@Deprecated public void setDescriptionKey(String descriptionID)
Deprecated.
Sets the resource key of the description of the column.

Parameters:
  `descriptionID` - the new resource key of the description

### getActionHandle

public ActionHandle getActionHandle()
Returns a handle to work with the action property, action is a structure that defines a hyperlink.

Returns:
  a handle to the action property, return `null` if the action has not been set on the column hint; otherwise return null
See Also:
  - `ActionHandle`

### setAction

public ActionHandle setAction(Action action) throws SemanticException
Set an action on the image.

Parameters:
  `action` - new action to be set on the image, it represents a bookmark link, hyperlink, and drill through etc.
Returns:
  a handle to the action property, return `null` if the action has not been set on the image.
Throws:
  `SemanticException` - if member of the action is not valid.

### getACLExpression

public ExpressionHandle getACLExpression()
Gets the expression handle for the `ACLExpression` member.

Returns:

### getAnalysisColumn

public String getAnalysisColumn()
Gets the analysis column.

Returns:
  the analysis column.

### setAnalysisColumn

public void setAnalysisColumn(String column) throws SemanticException
Sets the analysis column.

Parameters:
  `column` - the column to set
Throws:
  `SemanticException`

### getValueFormat

public FormatValue getValueFormat()
Gets the value format of the column.

Returns:
  the value format

### setValueFormat

public void setValueFormat(FormatValue format) throws SemanticException
Sets the value format of the column.

Parameters:
  `format` - the value format to set
Throws:
  `SemanticException`

### isIndexColumn

public boolean isIndexColumn()
Gets the flag which indicates whether the column should be generated with index.

Returns:
  true if the column should be generated with index, otherwise false

### setIndexColumn

public void setIndexColumn(boolean indexColumn) throws SemanticException
Sets the flag which indicates whether the column should be generated with index.

Parameters:
  `indexColumn` - the new flag to set
Throws:
  `SemanticException`

### isCompressed

public boolean isCompressed()
Gets the flag which indicates whether the column needs to be compressed.

Returns:
  true if the column needs to be compressed, otherwise false.

### setCompresssed

public void setCompresssed(boolean compressed) throws SemanticException
Sets the flag which indicates whether the column needs to be compressed.

Parameters:
  `compressed` - the new flag to set
Throws:
  `SemanticException`